package com.eactive.eai.rms.onl.statistics.statisticinfo.transaction;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * <pre>
 * 1. 기능 : 
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : yk
 * @version : $Revision: 1.1 $
 */
@Repository("transactionStatisticDAO")
public class TransactionStatisticDAO extends SqlMapClientTemplateDao {

    public List selectTpsByService(HashMap paramMap) throws Exception {
    	return template.queryForList("TransactionStatistic.selectTpsByService", paramMap);
    }
    
    public List selectPeakByService(HashMap paramMap) throws Exception {
    	return template.queryForList("TransactionStatistic.selectPeakByService", paramMap);
    }

    public List selectTPSAll(HashMap paramMap) throws Exception {
    	return template.queryForList("TransactionStatistic.selectTPSAll", paramMap);
    }
    
}
